Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3520)

Issue 2686033002: Simplify SequencedTaskRunner::{Delete,Releaose}Soon impl (Closed)

Created:
3 years, 6 months ago by tzik
Modified:
3 years, 6 months ago
CC:
chromium-reviews, jam, nasko+codewatch_chromium.org, darin-cc_chromium.org, creis+watch_chromium.org, vmpstr+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Simplify SequencedTaskRunner::{Delete,Releaose}Soon impl This CL removes SequencedTaskRunner-like type support from DeleteHelper. There no longer exists such a class, and the removal simplify the implementation. TBR=kinuko@chromium.org, shess@chromium.org, asvitkine@chromium.org CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:linux_site_isolation Review-Url: https://codereview.chromium.org/2686033002 Cr-Commit-Position: refs/heads/master@{#449544} Committed: https://chromium.googlesource.com/chromium/src/+/b9dae93e677cb7d8eaac27575d37bcfdf0d4608b

Patch Set 1 #

Patch Set 2 : +#include #

Total comments: 2

Patch Set 3 : public -> private #

Unified diffs Side-by-side diffs Delta from patch set Stats (+20 lines, -102 lines) Patch
M base/sequenced_task_runner.h View 2 chunks +8 lines, -17 lines 0 comments Download
M base/sequenced_task_runner.cc View 1 chunk +2 lines, -9 lines 0 comments Download
M base/sequenced_task_runner_helpers.h View 1 2 2 chunks +5 lines, -76 lines 0 comments Download
M content/browser/browser_child_process_host_impl.cc View 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/frame_host/render_frame_message_filter.cc View 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/renderer_host/render_process_host_impl.cc View 1 chunk +1 line, -0 lines 0 comments Download
M sql/connection.cc View 1 chunk +1 line, -0 lines 0 comments Download
M ui/gfx/win/direct_write.cc View 1 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 30 (20 generated)
tzik
PTAL
3 years, 6 months ago (2017-02-09 07:24:34 UTC) #10
dcheng
https://codereview.chromium.org/2686033002/diff/20001/base/sequenced_task_runner_helpers.h File base/sequenced_task_runner_helpers.h (right): https://codereview.chromium.org/2686033002/diff/20001/base/sequenced_task_runner_helpers.h#newcode20 base/sequenced_task_runner_helpers.h:20: public: I'd prefer we keep this private if possible ...
3 years, 6 months ago (2017-02-09 21:50:17 UTC) #13
tzik
https://codereview.chromium.org/2686033002/diff/20001/base/sequenced_task_runner_helpers.h File base/sequenced_task_runner_helpers.h (right): https://codereview.chromium.org/2686033002/diff/20001/base/sequenced_task_runner_helpers.h#newcode20 base/sequenced_task_runner_helpers.h:20: public: On 2017/02/09 21:50:16, dcheng wrote: > I'd prefer ...
3 years, 6 months ago (2017-02-09 22:48:13 UTC) #16
dcheng
lgtm
3 years, 6 months ago (2017-02-09 22:49:31 UTC) #17
tzik
TBRing OWNERS, since the diff is simple #include addition. PTAL later to: kinuko: //content shess: ...
3 years, 6 months ago (2017-02-09 23:18:02 UTC) #20
kinuko
(lgtm)
3 years, 6 months ago (2017-02-10 00:42:12 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2686033002/40001
3 years, 6 months ago (2017-02-10 02:33:54 UTC) #25
commit-bot: I haz the power
Committed patchset #3 (id:40001) as https://chromium.googlesource.com/chromium/src/+/b9dae93e677cb7d8eaac27575d37bcfdf0d4608b
3 years, 6 months ago (2017-02-10 03:58:16 UTC) #28
Scott Hess - ex-Googler
lgtm
3 years, 6 months ago (2017-02-10 06:10:18 UTC) #29
Alexei Svitkine (slow)
3 years, 6 months ago (2017-02-10 12:31:21 UTC) #30
Message was sent while issue was closed.
lgtm

Powered by Google App Engine
This is Rietveld 408576698